package com.goafanti.user.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goafanti.common.dao.UserCareerMapper;
import com.goafanti.common.model.UserCareer;
import com.goafanti.core.mybatis.BaseMybatisDao;

import com.goafanti.user.service.UserCareerService;
@Service
public class UserCareerServiceImpl extends BaseMybatisDao<UserCareerMapper> implements UserCareerService{
    @Autowired
    UserCareerMapper userCareerMapper;
    
	@Override
	public UserCareer selectUserCareerByUserId(String userId) {
		return userCareerMapper.selectUserCareerByUserId(userId);
	}

	@Override
	public UserCareer insert(UserCareer userCareer) {
		userCareerMapper.insert(userCareer);
		return userCareer;
	}

	@Override
	public int updateByPrimaryKeySelective(UserCareer userCareer) {
		return userCareerMapper.updateByPrimaryKeySelective(userCareer);
	}

	

	

	
}
